diff -pruN 3.8.2+ds-12/debian/changelog 3.8.2+ds-13/debian/changelog
--- 3.8.2+ds-12/debian/changelog	2019-02-08 23:54:59.000000000 +0000
+++ 3.8.2+ds-13/debian/changelog	2020-05-04 15:32:27.000000000 +0000
@@ -1,3 +1,16 @@
+jabref (3.8.2+ds-13) unstable; urgency=medium
+
+  * Add patch from upstream Git repo to fix DOI fetcher.
+    Use HTTPS instead of HTTP. (LP: #1836719)
+  * Update years of packaging copyright.
+  * Declare compliance with Debian Policy 4.5.0.
+  * Set Rules-Requires-Root: no.
+  * Bump debhelper-compat to 12.
+  * Wrap long lines in changelog entries: 2.2-01-1, 2.1-4.
+  * Add debian/upstream/metadata.
+
+ -- gregor herrmann <gregoa@debian.org>  Mon, 04 May 2020 17:32:27 +0200
+
 jabref (3.8.2+ds-12) unstable; urgency=high
 
   * Add patch from upstream commit to fix CVE-2018-1000652: XML External
@@ -818,8 +831,8 @@ jabref (2.2-01-1) unstable; urgency=low
   * New upstream release.
   * Change wrapper script, as "-v" acts as expcted; cf. #378189 for details
     (also closes: #408081).
-  * Remove debian/source.lintian-overrides from source package, there are no longer
-    cvs remnants in the upstream tarball.
+  * Remove debian/source.lintian-overrides from source package, there are no
+    longer cvs remnants in the upstream tarball.
   * Add .desktop file for easier integration into desktop environments.
   * Add symlink /usr/share/java/JabRef-2.2.jar -> /usr/share/java/jabref.jar.
   * Update debian/copright to reflect the changes as shown in the About Box.
@@ -845,8 +858,8 @@ jabref (2.2~b2-1) unstable; urgency=low
 
 jabref (2.1-4) unstable; urgency=low
 
-  * Apply patch from Matthias Klose to enable building with a free java compiler -
-    thanks! (Cf. #383006)
+  * Apply patch from Matthias Klose to enable building with a free java compiler
+    - thanks! (Cf. #383006)
   * Change build dependencies accordingly.
   * Apply patch from Morten Omholt Alver (upstream author) to enable 'enter' in
     dialogs - thanks! (Closes: #387235)
diff -pruN 3.8.2+ds-12/debian/compat 3.8.2+ds-13/debian/compat
--- 3.8.2+ds-12/debian/compat	2019-02-08 23:54:59.000000000 +0000
+++ 3.8.2+ds-13/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-11
diff -pruN 3.8.2+ds-12/debian/control 3.8.2+ds-13/debian/control
--- 3.8.2+ds-12/debian/control	2019-02-08 23:54:59.000000000 +0000
+++ 3.8.2+ds-13/debian/control	2020-05-04 15:32:27.000000000 +0000
@@ -4,12 +4,13 @@ Uploaders: tony mancill <tmancill@debian
            gregor herrmann <gregoa@debian.org>
 Section: tex
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gradle-debian-helper
 Build-Depends-Indep: ant,
                      antlr,
                      antlr3,
                      antlr4,
+                     default-jdk,
                      junit4,
                      libandroid-json-java,
                      libantlr3-runtime-java,
@@ -29,8 +30,8 @@ Build-Depends-Indep: ant,
                      libjgraph-java,
                      libjsonp-java,
                      liblog4j2-java (>= 2.10.0-2) | liblog4j2-java (<< 2.10),
-                     libmicroba-java,
                      libmariadb-java,
+                     libmicroba-java,
                      libpdfbox-java,
                      libpostgresql-jdbc-java (>= 9.4.1212),
                      librelaxng-datatype-java,
@@ -40,12 +41,12 @@ Build-Depends-Indep: ant,
                      libswingx-java,
                      libunirest-java-java,
                      libxml-commons-resolver1.1-java,
-                     default-jdk,
                      ure (>= 5.0~)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/java-team/jabref
 Vcs-Git: https://salsa.debian.org/java-team/jabref.git
 Homepage: https://www.jabref.org/
+Rules-Requires-Root: no
 
 Package: jabref
 Architecture: all
@@ -79,10 +80,10 @@ Depends: ${misc:Depends},
          libswing-layout-java,
          libswingx-java (<< 1:1.6.4),
          libunirest-java-java
-Recommends: xdg-utils,
+Recommends: libmariadb-java,
+            libpostgresql-jdbc-java (>= 9.4.1212),
             libreoffice-writer,
-            libmariadb-java,
-            libpostgresql-jdbc-java (>= 9.4.1212)
+            xdg-utils
 Suggests: gv | postscript-viewer,
           xpdf | pdf-viewer
 Description: graphical frontend to manage BibTeX and BibLaTeX databases
diff -pruN 3.8.2+ds-12/debian/copyright 3.8.2+ds-13/debian/copyright
--- 3.8.2+ds-12/debian/copyright	2019-02-08 23:54:59.000000000 +0000
+++ 3.8.2+ds-13/debian/copyright	2020-05-04 15:32:27.000000000 +0000
@@ -48,8 +48,8 @@ Copyright: 1999-2002, Sylvain Reynal
 License: GPL-2+
 
 Files: debian/*
-Copyright: 2005-2019, gregor herrmann <gregoa@debian.org>
- 2005-2019, tony mancill <tmancill@debian.org>
+Copyright: 2005-2020, gregor herrmann <gregoa@debian.org>
+ 2005-2020, tony mancill <tmancill@debian.org>
 License: Expat
 
 Files: debian/patches/001_koppor_debian.patch
diff -pruN 3.8.2+ds-12/debian/patches/110_doi.org.patch 3.8.2+ds-13/debian/patches/110_doi.org.patch
--- 3.8.2+ds-12/debian/patches/110_doi.org.patch	1970-01-01 00:00:00.000000000 +0000
+++ 3.8.2+ds-13/debian/patches/110_doi.org.patch	2020-05-04 15:32:27.000000000 +0000
@@ -0,0 +1,120 @@
+Description: [PATCH 1/4] Fix DOI resolving by using https
+Origin: https://github.com/JabRef/jabref/pull/2889
+Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/jabref/+bug/1836719
+Author: Siedlerchr <siedlerkiller@gmail.com>
+Reviewed-by: gregor herrmann <gregoa@debian.org>
+Last-Update: 2020-05-04
+Applied-Upstream: https://github.com/JabRef/jabref/pull/2889
+
+--- a/src/main/java/net/sf/jabref/logic/util/DOI.java
++++ b/src/main/java/net/sf/jabref/logic/util/DOI.java
+@@ -22,7 +22,7 @@
+     private static final Log LOGGER = LogFactory.getLog(DOI.class);
+ 
+     // DOI resolver
+-    public static final URI RESOLVER = URI.create("http://doi.org");
++    public static final URI RESOLVER = URI.create("https://doi.org");
+ 
+     // DOI
+     private final String doi;
+--- a/src/test/java/net/sf/jabref/logic/util/DOITest.java
++++ b/src/test/java/net/sf/jabref/logic/util/DOITest.java
+@@ -52,15 +52,15 @@
+     public void acceptURNPrefix() {
+         Assert.assertEquals("10.123/456", new DOI("urn:10.123/456").getDOI());
+         Assert.assertEquals("10.123/456", new DOI("urn:doi:10.123/456").getDOI());
+-        Assert.assertEquals("10.123/456", new DOI("http://doi.org/urn:doi:10.123/456").getDOI());
++        Assert.assertEquals("10.123/456", new DOI("https://doi.org/urn:doi:10.123/456").getDOI());
+         // : is also allowed as divider, will be replaced by RESOLVER
+-        Assert.assertEquals("10.123:456ABC/zyz", new DOI("http://doi.org/urn:doi:10.123:456ABC%2Fzyz").getDOI());
++        Assert.assertEquals("10.123:456ABC/zyz", new DOI("https://doi.org/urn:doi:10.123:456ABC%2Fzyz").getDOI());
+     }
+ 
+     @Test
+     public void acceptURLDoi() {
+         // http
+-        Assert.assertEquals("10.1006/jmbi.1998.2354", new DOI("http://doi.org/10.1006/jmbi.1998.2354").getDOI());
++        Assert.assertEquals("10.1006/jmbi.1998.2354", new DOI("https://doi.org/10.1006/jmbi.1998.2354").getDOI());
+         // https
+         Assert.assertEquals("10.1006/jmbi.1998.2354", new DOI("https://doi.org/10.1006/jmbi.1998.2354").getDOI());
+         // other domains
+@@ -80,38 +80,38 @@
+     public void correctlyDecodeHttpDOIs() {
+         // See http://www.doi.org/doi_handbook/2_Numbering.html#2.5.2.4
+         // % -> (%25)
+-        Assert.assertEquals("10.1006/rwei.1999%.0001", new DOI("http://doi.org/10.1006/rwei.1999%25.0001").getDOI());
++        Assert.assertEquals("10.1006/rwei.1999%.0001", new DOI("https://doi.org/10.1006/rwei.1999%25.0001").getDOI());
+         // " -> (%22)
+-        Assert.assertEquals("10.1006/rwei.1999\".0001", new DOI("http://doi.org/10.1006/rwei.1999%22.0001").getDOI());
++        Assert.assertEquals("10.1006/rwei.1999\".0001", new DOI("https://doi.org/10.1006/rwei.1999%22.0001").getDOI());
+         // # -> (%23)
+-        Assert.assertEquals("10.1006/rwei.1999#.0001", new DOI("http://doi.org/10.1006/rwei.1999%23.0001").getDOI());
++        Assert.assertEquals("10.1006/rwei.1999#.0001", new DOI("https://doi.org/10.1006/rwei.1999%23.0001").getDOI());
+         // SPACE -> (%20)
+-        Assert.assertEquals("10.1006/rwei.1999 .0001", new DOI("http://doi.org/10.1006/rwei.1999%20.0001").getDOI());
++        Assert.assertEquals("10.1006/rwei.1999 .0001", new DOI("https://doi.org/10.1006/rwei.1999%20.0001").getDOI());
+         // ? -> (%3F)
+-        Assert.assertEquals("10.1006/rwei.1999?.0001", new DOI("http://doi.org/10.1006/rwei.1999%3F.0001").getDOI());
++        Assert.assertEquals("10.1006/rwei.1999?.0001", new DOI("https://doi.org/10.1006/rwei.1999%3F.0001").getDOI());
+     }
+ 
+     @Test
+     public void correctlyEncodeDOIs() {
+         // See http://www.doi.org/doi_handbook/2_Numbering.html#2.5.2.4
+         // % -> (%25)
+-        Assert.assertEquals("http://doi.org/10.1006/rwei.1999%25.0001", new DOI("http://doi.org/10.1006/rwei.1999%25.0001").getURIAsASCIIString());
++        Assert.assertEquals("https://doi.org/10.1006/rwei.1999%25.0001", new DOI("https://doi.org/10.1006/rwei.1999%25.0001").getURIAsASCIIString());
+         // " -> (%22)
+-        Assert.assertEquals("http://doi.org/10.1006/rwei.1999%22.0001", new DOI("http://doi.org/10.1006/rwei.1999%22.0001").getURIAsASCIIString());
++        Assert.assertEquals("https://doi.org/10.1006/rwei.1999%22.0001", new DOI("https://doi.org/10.1006/rwei.1999%22.0001").getURIAsASCIIString());
+         // # -> (%23)
+-        Assert.assertEquals("http://doi.org/10.1006/rwei.1999%23.0001", new DOI("http://doi.org/10.1006/rwei.1999%23.0001").getURIAsASCIIString());
++        Assert.assertEquals("https://doi.org/10.1006/rwei.1999%23.0001", new DOI("https://doi.org/10.1006/rwei.1999%23.0001").getURIAsASCIIString());
+         // SPACE -> (%20)
+-        Assert.assertEquals("http://doi.org/10.1006/rwei.1999%20.0001", new DOI("http://doi.org/10.1006/rwei.1999%20.0001").getURIAsASCIIString());
++        Assert.assertEquals("https://doi.org/10.1006/rwei.1999%20.0001", new DOI("https://doi.org/10.1006/rwei.1999%20.0001").getURIAsASCIIString());
+         // ? -> (%3F)
+-        Assert.assertEquals("http://doi.org/10.1006/rwei.1999%3F.0001", new DOI("http://doi.org/10.1006/rwei.1999%3F.0001").getURIAsASCIIString());
++        Assert.assertEquals("https://doi.org/10.1006/rwei.1999%3F.0001", new DOI("https://doi.org/10.1006/rwei.1999%3F.0001").getURIAsASCIIString());
+     }
+ 
+     @Test
+     public void constructCorrectURLForDoi() {
+         // add / to RESOLVER url if missing
+-        Assert.assertEquals("http://doi.org/10.1006/jmbi.1998.2354", new DOI("10.1006/jmbi.1998.2354").getURIAsASCIIString());
+-        Assert.assertEquals("http://doi.org/10.1006/jmbi.1998.2354", new DOI("http://doi.org/10.1006/jmbi.1998.2354").getURIAsASCIIString());
+-        Assert.assertEquals("http://doi.org/10.1109/VLHCC.2004.20", new DOI("doi:10.1109/VLHCC.2004.20").getURIAsASCIIString());
++        Assert.assertEquals("https://doi.org/10.1006/jmbi.1998.2354", new DOI("10.1006/jmbi.1998.2354").getURIAsASCIIString());
++        Assert.assertEquals("https://doi.org/10.1006/jmbi.1998.2354", new DOI("https://doi.org/10.1006/jmbi.1998.2354").getURIAsASCIIString());
++        Assert.assertEquals("https://doi.org/10.1109/VLHCC.2004.20", new DOI("doi:10.1109/VLHCC.2004.20").getURIAsASCIIString());
+     }
+ 
+     @Test
+--- a/src/test/java/net/sf/jabref/logic/layout/format/DOICheckTest.java
++++ b/src/test/java/net/sf/jabref/logic/layout/format/DOICheckTest.java
+@@ -14,19 +14,19 @@
+         Assert.assertEquals("", lf.format(""));
+         Assert.assertEquals(null, lf.format(null));
+ 
+-        Assert.assertEquals("http://doi.org/10.1000/ISBN1-900512-44-0", lf.format("10.1000/ISBN1-900512-44-0"));
+-        Assert.assertEquals("http://doi.org/10.1000/ISBN1-900512-44-0",
++        Assert.assertEquals("https://doi.org/10.1000/ISBN1-900512-44-0", lf.format("10.1000/ISBN1-900512-44-0"));
++        Assert.assertEquals("https://doi.org/10.1000/ISBN1-900512-44-0",
+                 lf.format("http://dx.doi.org/10.1000/ISBN1-900512-44-0"));
+ 
+-        Assert.assertEquals("http://doi.org/10.1000/ISBN1-900512-44-0",
++        Assert.assertEquals("https://doi.org/10.1000/ISBN1-900512-44-0",
+                 lf.format("http://doi.acm.org/10.1000/ISBN1-900512-44-0"));
+ 
+-        Assert.assertEquals("http://doi.org/10.1145/354401.354407",
++        Assert.assertEquals("https://doi.org/10.1145/354401.354407",
+                 lf.format("http://doi.acm.org/10.1145/354401.354407"));
+-        Assert.assertEquals("http://doi.org/10.1145/354401.354407", lf.format("10.1145/354401.354407"));
++        Assert.assertEquals("https://doi.org/10.1145/354401.354407", lf.format("10.1145/354401.354407"));
+ 
+         // Works even when having a / at the front
+-        Assert.assertEquals("http://doi.org/10.1145/354401.354407", lf.format("/10.1145/354401.354407"));
++        Assert.assertEquals("https://doi.org/10.1145/354401.354407", lf.format("/10.1145/354401.354407"));
+ 
+         // Obviously a wrong doi, will not change anything.
+         Assert.assertEquals("10", lf.format("10"));
diff -pruN 3.8.2+ds-12/debian/patches/series 3.8.2+ds-13/debian/patches/series
--- 3.8.2+ds-12/debian/patches/series	2019-02-08 23:54:59.000000000 +0000
+++ 3.8.2+ds-13/debian/patches/series	2020-05-04 15:32:27.000000000 +0000
@@ -8,3 +8,4 @@
 080_jdk11_jaxb.patch
 090_mariadb.patch
 100_CVE-2018-1000652_XXE-vulnerability.patch
+110_doi.org.patch
diff -pruN 3.8.2+ds-12/debian/upstream/metadata 3.8.2+ds-13/debian/upstream/metadata
--- 3.8.2+ds-12/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
+++ 3.8.2+ds-13/debian/upstream/metadata	2020-05-04 15:32:27.000000000 +0000
@@ -0,0 +1,5 @@
+---
+Bug-Database: https://github.com/JabRef/jabref/issues
+Bug-Submit: https://github.com/JabRef/jabref/issues/new
+Repository: https://github.com/JabRef/jabref.git
+Repository-Browse: https://github.com/JabRef/jabref
